| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::TrackerFeatureFeature2d Class Reference
Tracking API

TrackerFeature based on Feature2D. More...

`#include <opencv2/tracking/tracker.hpp>`

Inheritance diagram for cv::TrackerFeatureFeature2d:

## Public Member Functions
| TrackerFeatureFeature2d (String detectorType, String descriptorType)
| Constructor. More...
| ~TrackerFeatureFeature2d () CV_OVERRIDE
void | selection (Mat &response, int npoints) CV_OVERRIDE
| Identify most effective features. More...
Public Member Functions inherited from cv::TrackerFeature
virtual | ~TrackerFeature ()
void | compute (const std::vector< Mat > &images, Mat &response)
| Compute the features in the images collection. More...
String | getClassName () const
| Get the name of the specific TrackerFeature. More...

## Protected Member Functions
bool | computeImpl (const std::vector< Mat > &images, Mat &response) CV_OVERRIDE

## Additional Inherited Members
Static Public Member Functions inherited from cv::TrackerFeature
static Ptr< TrackerFeature > | create (const String &trackerFeatureType)
| Create TrackerFeature by tracker feature type. More...
Protected Attributes inherited from cv::TrackerFeature
String | className

## Detailed Description

TrackerFeature based on Feature2D.

## Constructor & Destructor Documentation

## § TrackerFeatureFeature2d()

cv::TrackerFeatureFeature2d::TrackerFeatureFeature2d | ( | String | detectorType,
|  | String | descriptorType
| ) |  |

Constructor.

Parameters

  detectorType | string of FeatureDetector
  descriptorType | string of DescriptorExtractor

## § ~TrackerFeatureFeature2d()

cv::TrackerFeatureFeature2d::~TrackerFeatureFeature2d | ( |  | ) |

## Member Function Documentation

## § computeImpl()

bool cv::TrackerFeatureFeature2d::computeImpl | ( | const std::vector< Mat > & | images,
|  | Mat & | response
| ) |  |
| protected virtual

Implements cv::TrackerFeature.

## § selection()

void cv::TrackerFeatureFeature2d::selection | ( | Mat & | response,
|  | int | npoints
| ) |  |
| virtual

Identify most effective features.

Parameters

  response | Collection of response for the specific TrackerFeature
  npoints | Max number of features

Note
  This method modifies the response parameter

Implements cv::TrackerFeature.

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp